# fc-text-highlight

An element by Forter
<!-- Author: Omer Anati <omer.anati@forter.com> -->

## Usage

```html
<script>
   import '@forter/text-highlight';
</script>

<fc-text-highlight text="omerikikoo" highlight="ik">
</fc-text-highlight>
```

## Properties

| Property    | Attribute   | Type     | Default | Description           |
|-------------|-------------|----------|---------|-----------------------|
| `highlight` | `highlight` | `string` | ""      | The text to highlight |
| `text`      | `text`      | `string` | ""      | The text to display   |

## CSS Custom Properties

| Property                                        | Description            |
|-------------------------------------------------|------------------------|
| `--fc-text-highlight-font-color`                | color.                 |
| `--fc-text-highlight-font-weight`               | font weight.           |
| `--fc-text-highlight-letter-spacing`            | letter spacing.        |
| `--fc-text-highlight-unhighlighted-font-color`  | highlight font color.  |
| `--fc-text-highlight-unhighlighted-font-weight` | highlight font weight. |
