<div style="color:black;background-color:cornsilk;border-bottom:4px solid orange;padding:14px 20px">⚠️ Forter Web Components are in development. APIs are subject to change without notice. ⚠️</div>

# `@forter/text-highlight`

## 🚛 Installation
Forter Web Components are distributed on the npm registry.

To install them to your project, use
```
npm install --save @forter/text-highlight
```

## 🛠 Usage
After installing, you can prepare them for use in your app without fuss using [@pika/web](https://github.com/pika/web)

```
npx @pika/web
```

Then import into your app using module tags:

```html
<script type="module" src="/web_modules/@forter/text-highlight.js"></script>

<fc-text-highlight></fc-text-highlight>
```

Or you can import into your app's modules and use your build process.
```js
import { html, render } from 'lit-html';
import '@forter/text-highlight';

render(html`<fc-text-highlight></fc-text-highlight>`, document.body)
```
