import { css } from 'lit-element';

var style = css`:host {
  display: block;
  position: relative;

  --fc-text-highlight-font-weight: 700;
  --fc-text-highlight-font-color: white;
  --fc-text-highlight-unhighlighted-font-weight: 400;
  --fc-text-highlight-letter-spacing: -0.4px;
  --fc-text-highlight-unhighlighted-font-color: var(--fc-gray-300);

  text-transform: none;
}

b {
  font-weight: var(--fc-text-highlight-font-weight);
  color: var(--fc-text-highlight-font-color);
  letter-spacing: var(--fc-text-highlight-letter-spacing);
}

span {
  text-transform: capitalize;
}

div {
  font-weight: var(--fc-text-highlight-unhighlighted-font-weight);
  color: var(--fc-text-highlight-unhighlighted-font-color);
  display: flex;
}

div::first-letter {
  text-transform: capitalize;
}
`;

export default style;
//# sourceMappingURL=fc-text-highlight.css.map
